Redmine - Patch #5895

API to query user database
2010-07-16 23:04 - Adam Kaplan

Status: Closed Start date: 2010-07-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Description

I've attached a patch that adds an API for querying against the user database.
Provides:

1. User ID

2. Login

3. Email

4, First name
5. Last name

URL Examples:
All Users: http://redmine.org/users.xml

Specific User: http:/redmine.org/users.xml?status=1&name=akaplan%40nytimes.com
No User: http://redmine.org/users.xml?status=1&name=BOB

Format:

<?xml version="1.0" encoding="UTF-8"?>
<users type="array">
<user id="4">
<first>Redmine</first>
<last>Admin</last>
<login>admin</login>
<mail>foo@nytimes.com</mail>
</user>
<user id="4">
<first>Adam</first>
<last>Kaplan</last>
<login>adamkaplan</login>
<mail>akaplan@nytimes.com</mail>
</user>
</users>

History

#1 - 2010-07-16 23:06 - Adam Kaplan

Correction, my example was outdated... the ID is an element, not an attribute:

<users type="array">

<user>
<id>4</id>
<first>Redmine</first>
<last>Admin</last>
<login>admin</login>
<mail>foo@nytimes.com</mail>

</user>

#2 - 2010-07-17 01:15 - Eric Davis

Thanks. Can you add some tests to the patch?

#3 - 2010-07-19 21:39 - Adam Kaplan
Eric Davis wrote:

Thanks. Can you add some tests to the patch?

Sure. Might take a few days though, got busy.

#4 - 2010-07-20 20:55 - Adam Kaplan
- File user_query _api-2.diff added

The patch broke the user information view (/users/14/, for example) because it called render twice (i think). Regardless the second diff includes a fix

for this issue.

#5 - 2010-07-23 21:53 - Adam Kaplan
- File user_query_api-3.diff added

Eric, I've added some tests for the new API.

#6 - 2010-12-03 17:15 - Jean-Philippe Lang

- Status changed from New to Closed

API for Users added in r4453.

Files

user_query_api.diff 1.5 KB 2010-07-16 Adam Kaplan

user_query_api-2.diff 1.78 KB 2010-07-20 Adam Kaplan

user_query_api-3.diff 4.73 KB 2010-07-23 Adam Kaplan
